--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: To learn more about the Moneris gateway, please contact eselectplus@moneris.com for a copy of their integration guide. For information on remote testing, please see &quot;Test Environment Penny Value Response Table&quot;, and &quot;Test Environment eFraud (AVS and CVD) Penny Response Values&quot;, available at Moneris' {eSelect Plus Documentation Centre}[https://www3.moneris.com/connect/en/documents/index.html].
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: TEST_URL
  value: "'https://esqa.moneris.com/gateway2/servlet/MpgRequest'"
- !ruby/object:RI::Constant 
  comment: 
  name: LIVE_URL
  value: "'https://www3.moneris.com/gateway2/servlet/MpgRequest'"
full_name: ActiveMerchant::Billing::MonerisGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: authorize
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: credit
- !ruby/object:RI::MethodSummary 
  name: purchase
- !ruby/object:RI::MethodSummary 
  name: void
name: MonerisGateway
superclass: Gateway
